Manage orders - Get customer subscriptions transfer eligibility
Gets the collection of transfer eligibility for a customer.
GET https://api.partnercenter.microsoft.com/v{version}/customers/{customer_id}/transferseligibility
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
customer_id
|
path | True |
string |
Customer's tenant Id. |
|
version
|
path | True |
string |
The API version number. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Authorization | True |
string |
Authorization Bearer token |
| ms-correlationid |
string |
Used for tracking requests internally. If a ms-correlationid is not provided, the server will generate a new one for each request |
|
| ms-cv |
string |
Used for tracking requests internally. If a ms-cv is not provided, the server will generate a new one for each request |
|
| ms-requestid |
string |
Used for idempotency of requests. If a ms-requestid is not provided, the server will generate a new one for each request |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request was successful. The response body contains the transfer eligibility information. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 400 Bad Request |
There was a missing or an invalid input. The response body will provide the error details. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 401 Unauthorized |
The request was not authenticated. The client needs to authenticate with the partner API service first. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 403 Forbidden |
The request was authenticated but was refused since the caller does not have the rights to invoke it. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 404 Not Found |
The resource is not found or not available with the given input parameters. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
|
| 500 Internal Server Error |
The partner API service or one of its dependencies failed to fulfill the request. Callers may retry this. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Definitions
TransferEligibility
Represents a transfer eligibility resource.
| Name | Type | Description |
|---|---|---|
| id |
string |
Unique identifier for the transfer eligibility. Value is typically a GUID. |
| isEligible |
boolean |
Whether is eligible. |
| reason |
string |
The reason for the transfer eligibility. |
| transferStatus |
string |
The transfer status for the transfer eligibility. |